eoBinaryQualityIndicator(3)

NAME
eoBinaryQualityIndicator - Functor Binary quality indicator Binary performance measure to use in the replacement selection process of IBEA (Indicator-Based Evolutionary Algorithm) Of course, EOFitness needs to be an eoParetoFitness object.

SYNOPSIS

#include <eoBinaryQualityIndicator.h>

Inherits eoBF< const EOFitness &, const EOFitness &, double >.

Inherited by eoAdditiveBinaryEpsilonIndicator< EOFitness >, and eoBinaryHypervolumeIndicator< EOFitness >.

  Public Member Functions
eoBinaryQualityIndicator ()
constructor
void setBounds (const unsigned _iObj, const double _min, const double _max)
set the bounds for objective _iObj

  Protected Attributes
std::vector< Range > bounds
range (min and max double value) for each objective

  Private Types
typedef EOFitness::fitness_traits traits
fitness traits

  Classes
class Range
Private class to represent the bounds.

Detailed Description

  template<class EOFitness> class eoBinaryQualityIndicator< EOFitness >
Functor Binary quality indicator Binary performance measure to use in the replacement selection process of IBEA (Indicator-Based Evolutionary Algorithm) Of course, EOFitness needs to be an eoParetoFitness object.

Definition at line 39 of file eoBinaryQualityIndicator.h.

Member Function Documentation

  template<class EOFitness> void eoBinaryQualityIndicator< EOFitness >::setBounds (const unsigned _iObj, const double _min, const double _max) [inline]

set the bounds for objective _iObj

Parameters:
    unsigned _iObj the index of the objective
    double _min the minimum value
    double _max the maximum value

Definition at line 62 of file eoBinaryQualityIndicator.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.